/**
 * Pads a 2D image along each dimension
 * @author: Joseph Jennings
 * @version: 2018.03.11
 */
#ifndef PAD2D_H_
#define PAD2D_H_

#include "my_operator.h"

class pad2d : public my_operator {
  public:
    pad2d(){};
    pad2d(int i1loc, int i2loc, float fill);
    bool forward(bool add, my_vector *mod, my_vector *dat);
    bool adjoint(bool add, my_vector *mod, my_vector *dat);
    ~pad2d(){};

  private:
    int _i1loc, _i2loc;
    float _fill;
};

#endif /* PAD2D_H_ */
